/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.sun.comet.example;

import com.sun.grizzly.comet.CometEvent;
import com.sun.grizzly.comet.CometHandler;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.http.HttpServletResponse;

/**
 *
 */
public class HelloCometHandler implements CometHandler<Context> {
    private Context context;

    public void attach(Context context) {
        this.context = context;
    }

    public void onInitialize(CometEvent event) throws IOException {
    }

    public void onEvent(CometEvent event) throws IOException {
        if (CometEvent.NOTIFY == event.getType()) {
            final HttpServletResponse response = context.getResponse();

            PrintWriter writer = response.getWriter();
            writer.write("Long task is completed");
            writer.flush();

            event.getCometContext().resumeCometHandler(this);
        }
    }

    public void onInterrupt(CometEvent event) throws IOException {
        System.out.println("Interrupted");

        final HttpServletResponse response = context.getResponse();

        PrintWriter writer = response.getWriter();
        writer.write("Timeout");
        writer.flush();
    }
    
    public void onTerminate(CometEvent event) throws IOException {
        System.out.println("Terminated");
    }
}
