/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.sun.comet.example;

import com.sun.grizzly.comet.CometAsyncFilter;
import com.sun.grizzly.http.embed.GrizzlyWebServer;
import com.sun.grizzly.http.servlet.ServletAdapter;
import java.io.IOException;
import javax.servlet.http.HttpServlet;

/**
 *
 */
public class ServletRunner {
    private static final int PORT = 9090;

    public static void main(String[] args) throws IOException {
        final GrizzlyWebServer gws = new GrizzlyWebServer(PORT);
        final HttpServlet servlet = new HelloServlet();
        final ServletAdapter adapter = new ServletAdapter(servlet);
        
        try {
            // Register servlet
            gws.addGrizzlyAdapter(adapter, new String[]{"/hello"});
            // Enable Comet
            gws.addAsyncFilter(new CometAsyncFilter());

            // Start container
            gws.start();

            System.out.println("Press enter to stop web container.");
            System.in.read();
        } finally {
            servlet.destroy();
            gws.stop();
        }


    }
}
